Debian Security Advisory DSA 2098-2 (typo3-src)

Published: 2010-10-10 17:35:00
CVE Author: NIST National Vulnerability Database

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Recommendations:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%202098-2

Technical Details:
The update for TYPO3 in DSA 2098 introduced a regression which could make the backend functionality unusable. This update corrects the problem. For reference the original advisory below. Several remote vulnerabilities have been discovered in the TYPO3 web content management framework: cross-site Scripting, open redirection, SQL injection, broken authentication and session management, insecure randomness, information disclosure and arbitrary code execution. More details can be found in the Typo3 security advisory: http://typo3.org/teams/security/security-bulletins/typo3-sa-2010-012/ For the stable distribution (lenny), these problems have been fixed in version 4.2.5-1+lenny5. The testing distribution (squeeze) will be fixed soon. For the unstable distribution (sid), these problems have been fixed in version 4.3.5-1 (not affected by the regression). We recommend that you upgrade your typo3-src Linux Distribution Package.

Summary:
The remote host is missing an update to typo3-src announced via advisory DSA 2098-2.

Detection Type:
Linux Distribution Package

Solution Type:
Vendor Patch

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2010-3659
https://nvd.nist.gov/vuln/detail/CVE-2010-3660
https://nvd.nist.gov/vuln/detail/CVE-2010-3661
https://nvd.nist.gov/vuln/detail/CVE-2010-3662
https://nvd.nist.gov/vuln/detail/CVE-2010-3663
https://nvd.nist.gov/vuln/detail/CVE-2010-3664
https://nvd.nist.gov/vuln/detail/CVE-2010-3665
https://nvd.nist.gov/vuln/detail/CVE-2010-3666
https://nvd.nist.gov/vuln/detail/CVE-2010-3667
https://nvd.nist.gov/vuln/detail/CVE-2010-3668
https://nvd.nist.gov/vuln/detail/CVE-2010-3669
https://nvd.nist.gov/vuln/detail/CVE-2010-3670
https://nvd.nist.gov/vuln/detail/CVE-2010-3671
https://nvd.nist.gov/vuln/detail/CVE-2010-3672
https://nvd.nist.gov/vuln/detail/CVE-2010-3673
https://nvd.nist.gov/vuln/detail/CVE-2010-3674

Severity
High
CVSS Score
7.5
Published
2010-10-10
Modified
2018-02-27
Category
Debian Local Security Checks

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities